put
https://demo-api.edfapay.com/api/v1/users/user
Update exist User, ACCESS LEVEL: SUPER_ADMIN, PARTNER, MERCHANT, BRANCH
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Overview
Update an existing user.
Endpoint
PUT https://demo-api.edfapay.com/api/v1/users/user
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| id | UUID | Yes | User ID |
| firstName | String | No | First name |
| lastName | String | No | Last name |
| phoneNumber | String | No | Phone |
| userType | String | No | Type |
| roles | Array | No | Roles |
| permissions | Array | No | Permissions |
| imageUrl | String | No | Image |
Response Body
| Field | Type | Description |
|---|---|---|
| code | Integer | Status |
| message | String | Message |
| data.id | UUID | User ID |
| data.firstName | String | First name |
| data.lastName | String | Last name |
| data.phoneNumber | String | Phone |
Response Example
{
"code": 200,
"message": "Success",
"data": {
"id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"firstName": "Test",
"lastName": "User",
"phoneNumber": "+966-500000000"
}
}